% ================================================================================= % 
% gen_fig2.m 
%
% Produce figure 2 with level curves.
%
% Chris Boehm 
% March 2014
% =========================================================================

clear all

global altrho_u alpha kappa sig beta 

% psiyvec = (2:1:10)';
% psipivec = (2:1:10)';
psiyvec = (2:0.2:10)';
psipivec = (2:0.2:10)';
objmat = zeros(length(psiyvec),length(psipivec),3);

psipi_manifold_vec = zeros(size(psiyvec));

for i =1:length(psiyvec)
    for j = 1:length(psipivec)
        objmat(i,j,:) = sub_objdec([psiyvec(i),psipivec(j)]);
    end
    
    psipi_manifold_vec(i) = altrho_u + alpha*kappa*sig*(1-altrho_u)/(1-beta*altrho_u) ...
    + alpha*kappa/(1-beta*altrho_u)*psiyvec(i); 
%     psipi_manifold_vec(i) = alpha*kappa*sig  + alpha*kappa*psiyvec(i); 
end



fig2 = figure(2);
set(0,'defaulttextInterpreter','latex')


[C,h] = contour(psiyvec,psipivec,objmat(:,:,3)','LineWidth', 2);
title('Central Bank Loss','Interpreter','latex','FontSize',12)
clabel(C,h)
xlabel('Coefficient on $y_{t|t}$','Interpreter','latex','FontSize',12)
ylabel('Coefficient on $\pi_{t|t}$','Interpreter','latex','FontSize',12)
% hold on
% plot(psiyvec,psipi_manifold_vec,'b--', 'LineWidth', 2)
% hold off

 set(fig2, 'PaperUnits', 'inches');
 scale = 2.2;
 x_width=scale*4; y_width=scale*3;
 set(fig2, 'PaperPosition', [0 0 x_width y_width]); 
 print('output\figure_2','-dpng','-r400')

% objmat2 = objmat;